Loading...
Searching...
No Matches
ShapeOverlayOptions.h File Reference
`#include <RDGeneral/export.h>`

Go to the source code of this file.

## Classes

struct | RDKit::GaussianShape::ShapeOverlayOptions

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::GaussianShape

## Functions

std::ostream & | RDKit::GaussianShape::operator<< (std::ostream &os, const StartMode &sm)

## Variables

| ROTATE_0
| ROTATE_180
| No rotation, just normalization if requested.
| ROTATE_180_WIGGLE
| ROTATE_0 plus rotate by 180 degrees about each of x, y, z.
| ROTATE_45
| ROTATE_0_FRAGMENT
| ROTATE_180_FRAGMENT
| No rotation, translate probe to each end of ref.
| ROTATE_45_FRAGMENT
| A_LA_PUBCHEM
| Translate probe to each end of ref and then ROTATE_90.
| SHAPE_ONLY
| SHAPE_PLUS_COLOR_SCORE
| Drive the optimisation by shape overlap only.
| SHAPE_PLUS_COLOR

## Variable Documentation

## A_LA_PUBCHEM

A_LA_PUBCHEM

Translate probe to each end of ref and then ROTATE_90.

Definition at line 35 of file ShapeOverlayOptions.h.

## ROTATE_0

ROTATE_0

Definition at line 23 of file ShapeOverlayOptions.h.

## ROTATE_0_FRAGMENT

ROTATE_0_FRAGMENT

ROTATE_180 plus rotate by 45 degrees about pairs of each of x, y, z

Definition at line 31 of file ShapeOverlayOptions.h.

## ROTATE_180

ROTATE_180

No rotation, just normalization if requested.

Definition at line 24 of file ShapeOverlayOptions.h.

## ROTATE_180_FRAGMENT

ROTATE_180_FRAGMENT

No rotation, translate probe to each end of ref.

Definition at line 32 of file ShapeOverlayOptions.h.

## ROTATE_180_WIGGLE

ROTATE_180_WIGGLE

ROTATE_0 plus rotate by 180 degrees about each of x, y, z.

Definition at line 25 of file ShapeOverlayOptions.h.

## ROTATE_45

ROTATE_45

ROTATE_180 plus, as the PubChem code does, rotate by a small amount (~25 degrees) about each axis and use the highest scoring of those as the start point for that rotation angle

Definition at line 29 of file ShapeOverlayOptions.h.

## ROTATE_45_FRAGMENT

ROTATE_45_FRAGMENT

Translate probe to each end of ref and then ROTATE_180

Definition at line 34 of file ShapeOverlayOptions.h.

## SHAPE_ONLY

SHAPE_ONLY

Definition at line 40 of file ShapeOverlayOptions.h.

## SHAPE_PLUS_COLOR

SHAPE_PLUS_COLOR

Drive the optimisation by shape, but include color in the score to determine the best solution. Color never used in the optimisation stage.

Definition at line 45 of file ShapeOverlayOptions.h.

## SHAPE_PLUS_COLOR_SCORE

SHAPE_PLUS_COLOR_SCORE

Drive the optimisation by shape overlap only.

Definition at line 41 of file ShapeOverlayOptions.h.